Puzzle / Developers
API referenceTasks

Create Task

POST /company/{id}/tasks

POST/company/{id}/tasks

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/tasks" \  -H "Content-Type: application/json" \  -d '{    "type": "CategoryReview",    "transactionId": "string"  }'
{  "id": "string",  "companyId": "string",  "type": "CategoryReview",  "status": "Open",  "transactionId": "string",  "createdBy": "string",  "modifiedBy": "string",  "assignees": [    "string"  ],  "text": "string",  "createdAt": "string",  "updatedAt": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z